/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casebuildinfo.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casebuildinfo.entity.CaseBuildInfo;
import com.jeeplus.modules.casebuildinfo.dao.CaseBuildInfoDao;

/**
 * 案例-建设单位Service
 * @author fgy
 * @version 2018-01-24
 */
@Service
@Transactional(readOnly = true)
public class CaseBuildInfoService extends CrudService<CaseBuildInfoDao, CaseBuildInfo> {

	public CaseBuildInfo get(String id) {
		return super.get(id);
	}
	
	public List<CaseBuildInfo> findList(CaseBuildInfo caseBuildInfo) {
		return super.findList(caseBuildInfo);
	}
	
	public Page<CaseBuildInfo> findPage(Page<CaseBuildInfo> page, CaseBuildInfo caseBuildInfo) {
		return super.findPage(page, caseBuildInfo);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseBuildInfo caseBuildInfo) {
		super.save(caseBuildInfo);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseBuildInfo caseBuildInfo) {
		super.delete(caseBuildInfo);
	}
	
	
	
	
}